#include <stdlib.h>
#include <stdio.h>

#include <config.h>
#include "error.h"

void usage()
{
	fputs ( PACKAGE_NAME "\n"
			"(c) 2005, Martin Stubenschrott\n\n"
			"Usage: icomplete -l <line> -c <column> [options] [file.cpp]\n"
			"   or: icomplete -m <class> [options] [file.cpp]\n\n"
			"Options:\n"
			"  -a --cache=0|1|2          : 0=never build tags file, 1=when necessary 2=always\n"
			"  -c --column=<num>         : The column number where completion should start\n"
			"  -l --line=<num>           : The line number where completion should start\n"
/*            "  -g --lang=c++|java|cs     : Input is considered as this language, c++ is default\n"*/
			"  -m --list-members=<class> : List all (also inherited) members of <class>\n"
			"  -o --output=<filename>    : Write completions to <filename> instead of stdout\n"
			"  -v --version              : Prints the version\n"
			, stderr);
	exit (1);
}

void bailout(const char* desc)
{
	if(desc)
		fprintf(stderr, "icomplete: %s\n", desc);
	else
		fprintf(stderr, "icomplete: Undefined error\n");
	exit (EXIT_FAILURE);
}
